## Debian11中安装docker和docker-compose

本文参考docker官方文档：(https://docs.docker.com/engine/install/debian/)[https://docs.docker.com/engine/install/debian/]和(https://docs.docker.com/compose/install/other/)[https://docs.docker.com/compose/install/other/]

### 安装docker engine

使用`apt-get install sudo -y`安装sudo可解决没有sudo命令的问题。

```sh
# 卸载旧版本（可省略）
sudo apt-get remove docker docker-engine docker.io containerd runc
# 安装新版本
sudo apt-get update
sudo apt-get install ca-certificates curl gnupg
sudo install -m 0755 -d /etc/apt/keyrings
curl -fsSL https://download.docker.com/linux/debian/gpg | sudo gpg --dearmor -o /etc/apt/keyrings/docker.gpg
sudo chmod a+r /etc/apt/keyrings/docker.gpg
echo \
  "deb [arch="$(dpkg --print-architecture)" signed-by=/etc/apt/keyrings/docker.gpg] https://download.docker.com/linux/debian \
  "$(. /etc/os-release && echo "$VERSION_CODENAME")" stable" | \
  sudo tee /etc/apt/sources.list.d/docker.list > /dev/null
sudo apt-get update
sudo apt-get install docker-ce docker-ce-cli containerd.io docker-buildx-plugin docker-compose-plugin
```

### 安装docker-compose

默认情况下，docker engine安装成功时会自动支持`docker compose`命令，但并不支持`docker-compose`命令，按照下面的步骤操作完，就可以使用`docker-compose`命令了。

```sh
curl -SL https://github.com/docker/compose/releases/download/v2.17.2/docker-compose-linux-x86_64 -o /usr/local/bin/docker-compose
sudo ln -s /usr/local/bin/docker-compose /usr/bin/docker-compose
chmod +x /usr/local/bin/docker-compose
```

### 验证安装

```sh
# 查看docker版本
docker version
# 查看docker compose版本
docker compose version
# 查看docker-compose版本
docker-compose --version
```
